Bug 1694093 - [RFE] If Listen On Candlepin Event and Monitor Event Queue tasks stops for any reason then it should be started automatically
Summary: [RFE] If Listen On Candlepin Event and Monitor Event Queue tasks stops for an...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.4.2
Hardware: x86_64
OS: Linux
high
medium
Target Milestone: 6.7.0
Assignee: Jonathon Turel
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On: 1789665
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-29 13:53 UTC by Ashish Humbe
Modified: 2020-04-14 13:24 UTC (History)
9 users (show)

Fixed In Version: rubygem-katello-3.14.0
Doc Type: Enhancement
Doc Text:
To improve performance, if Event and Monitor tasks stop for any reason, they are restarted automatically. If the automatic restart fails, an alert is triggered. Furthermore, if multiple instances of the Event and Monitor tasks are running, they now stop automatically and only one instance of each task runs.
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27674 Normal Closed migrate LOCE and Event Queue off of dynflow 2020-11-20 15:36:07 UTC
Foreman Issue Tracker 28326 Normal Closed Improve event daemon resiliency 2020-11-20 15:36:07 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:19 UTC

Description Ashish Humbe 2019-03-29 13:53:54 UTC
Description of problem:
[RFE] If Listen On Candlepin Event and Monitor Event Queue tasks stops for any reason then it should be started automatically and alert should be triggered it these tasks fail to start.

These 2 tasks are important for the satellite to function properly, so satellite should monitor the state of these tasks and try to start them. 

Version-Release number of selected component (if applicable):
Satellite 6.x


Actual results:
Currently, the Listen On Candlepin Event and Monitor Event Queue tasks either stops working silently or multiple instances of these tasks are running which creates a problem and users do not get any alert of it. 

Expected results:
If any of these tasks stop for any reason or multiple instances of these tasks are running then those should be cleaned automatically and only one instance should be running. 

Additional info:

Comment 2 Jan Hutař 2019-03-29 20:59:42 UTC
Hello Ashish. How can I make one of these tasks to stop? Asking because I have no idea how to test potential fix. Also by saying 6.x is it safe to assume 6.4.2 is affected?

Comment 3 Ashish Humbe 2019-04-29 10:34:52 UTC
Hi Jan,

Sorry for the delay, 

There is no easy way to find out why these tasks stopped working but for testing/QE purpose may be we can update the state of the task to Stopped using foreman-rake command or some other similar ways. 

Yes, for now we can set 6.4.2 version but it impacts all the satellite versions.  

Thanks,

Comment 4 Bryan Kearney 2019-10-28 16:05:22 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27674 has been resolved.

Comment 5 Jonathon Turel 2019-12-05 19:47:07 UTC
Connecting redmine issue https://projects.theforeman.org/issues/28326 from this bug

Comment 14 errata-xmlrpc 2020-04-14 13:24:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.